com.independentsoft.exchange

## Enum IconIndex

- java.lang.Object
- - java.lang.Enum<IconIndex>
  - - com.independentsoft.exchange.IconIndex

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IconIndex>

      public enum IconIndex
      extends java.lang.Enum<IconIndex>

  The Enum IconIndex.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPOINTMENT_ITEM` Specifies the appointment item icon.
    `APPOINTMENT_MEET` Specifies the meeting icon.
    `APPOINTMENT_MEET_CANCEL` Specifies the meeting cancel icon.
    `APPOINTMENT_MEET_INFO` Specifies the meeting information icon.
    `APPOINTMENT_MEET_MAYBE` Specifies the icon for a maybe response to the meeting.
    `APPOINTMENT_MEET_NO` Specifies the meeting declined icon.
    `APPOINTMENT_MEET_NY` Specifies the icon for a tentative response to the meeting.
    `APPOINTMENT_MEET_RECUR` Specifies the recurring meeting icon.
    `APPOINTMENT_MEET_YES` Specifies the meeting acceptance icon.
    `APPOINTMENT_RECUR` Specifies the recurring appointment icon.
    `DEFAULT` Specifies the default icon.
    `MAIL_ENCRYPTED` Specifies the encrypted mail icon.
    `MAIL_ENCRYPTED_FORWARDED` Specifies the encrypted forwarded mail icon.
    `MAIL_ENCRYPTED_READ` Specifies the encrypted read mail icon.
    `MAIL_ENCRYPTED_REPLIED` Specifies the encrypted replied to mail icon.
    `MAIL_FORWARDED` Specifies the forwarded mail icon.
    `MAIL_IRM` Specifies the Information Rights Management (IRM)-protected mail icon.
    `MAIL_IRM_FORWARDED` Specifies the IRM-protected forwarded mail icon.
    `MAIL_IRM_REPLIED` Specifies the IRM-protected replied to mail icon.
    `MAIL_READ` Specifies the mail read icon.
    `MAIL_REPLIED` Specifies the replied to mail icon.
    `MAIL_SMIME_SIGNED` Specifies the S/MIME (Secure/Multipurpose Internet Mail Extensions) signed mail icon.
    `MAIL_SMIME_SIGNED_FORWARDED` Specifies the S/MIME signed forwarded mail icon.
    `MAIL_SMIME_SIGNED_READ` Specifies the S/MIME signed read mail icon.
    `MAIL_SMIME_SIGNED_REPLIED` Specifies the S/MIME signed replied to mail icon.
    `MAIL_UNREAD` Specifies the unread mail icon.
    `NONE` None.
    `OUTLOOK_DEFAULT_FOR_CONTACTS` Specifies the default icon for contacts.
    `POST_ITEM` Specifies the icon for a post item.
    `SMS_DELIVERED` Specifies the SMS delivered mail icon.
    `SMS_ROUTED_TO_DELIVERY_POINT` Specifies the icon for SMS routing to an external delivery point.
    `SMS_ROUTED_TO_EXTERNAL_MESSAGING_SYSTEM` Specifies the icon for SMS routing to an external messaging system.
    `SMS_SUBMITTED` Specifies the icon mail submitted for Short Message Service (SMS) routing.
    `TASK_DELEGATED` Specifies the task delegated icon.
    `TASK_ITEM` Specifies the task item icon.
    `TASK_OWNED` Specifies the task owned icon.
    `TASK_RECUR` Specifies the recurring task icon.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconIndex` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IconIndex[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final IconIndex DEFAULT

      Specifies the default icon.

    - #### POST_ITEM

          public static final IconIndex POST_ITEM

      Specifies the icon for a post item.

    - #### MAIL_READ

          public static final IconIndex MAIL_READ

      Specifies the mail read icon.

    - #### MAIL_UNREAD

          public static final IconIndex MAIL_UNREAD

      Specifies the unread mail icon.

    - #### MAIL_REPLIED

          public static final IconIndex MAIL_REPLIED

      Specifies the replied to mail icon.

    - #### MAIL_FORWARDED

          public static final IconIndex MAIL_FORWARDED

      Specifies the forwarded mail icon.

    - #### MAIL_ENCRYPTED

          public static final IconIndex MAIL_ENCRYPTED

      Specifies the encrypted mail icon.

    - #### MAIL_SMIME_SIGNED

          public static final IconIndex MAIL_SMIME_SIGNED

      Specifies the S/MIME (Secure/Multipurpose Internet Mail Extensions) signed mail icon.

    - #### MAIL_ENCRYPTED_REPLIED

          public static final IconIndex MAIL_ENCRYPTED_REPLIED

      Specifies the encrypted replied to mail icon.

    - #### MAIL_SMIME_SIGNED_REPLIED

          public static final IconIndex MAIL_SMIME_SIGNED_REPLIED

      Specifies the S/MIME signed replied to mail icon.

    - #### MAIL_ENCRYPTED_FORWARDED

          public static final IconIndex MAIL_ENCRYPTED_FORWARDED

      Specifies the encrypted forwarded mail icon.

    - #### MAIL_SMIME_SIGNED_FORWARDED

          public static final IconIndex MAIL_SMIME_SIGNED_FORWARDED

      Specifies the S/MIME signed forwarded mail icon.

    - #### MAIL_ENCRYPTED_READ

          public static final IconIndex MAIL_ENCRYPTED_READ

      Specifies the encrypted read mail icon.

    - #### MAIL_SMIME_SIGNED_READ

          public static final IconIndex MAIL_SMIME_SIGNED_READ

      Specifies the S/MIME signed read mail icon.

    - #### MAIL_IRM

          public static final IconIndex MAIL_IRM

      Specifies the Information Rights Management (IRM)-protected mail icon.

    - #### MAIL_IRM_FORWARDED

          public static final IconIndex MAIL_IRM_FORWARDED

      Specifies the IRM-protected forwarded mail icon.

    - #### MAIL_IRM_REPLIED

          public static final IconIndex MAIL_IRM_REPLIED

      Specifies the IRM-protected replied to mail icon.

    - #### SMS_SUBMITTED

          public static final IconIndex SMS_SUBMITTED

      Specifies the icon mail submitted for Short Message Service (SMS) routing.

    - #### SMS_ROUTED_TO_DELIVERY_POINT

          public static final IconIndex SMS_ROUTED_TO_DELIVERY_POINT

      Specifies the icon for SMS routing to an external delivery point.

    - #### SMS_ROUTED_TO_EXTERNAL_MESSAGING_SYSTEM

          public static final IconIndex SMS_ROUTED_TO_EXTERNAL_MESSAGING_SYSTEM

      Specifies the icon for SMS routing to an external messaging system.

    - #### SMS_DELIVERED

          public static final IconIndex SMS_DELIVERED

      Specifies the SMS delivered mail icon.

    - #### OUTLOOK_DEFAULT_FOR_CONTACTS

          public static final IconIndex OUTLOOK_DEFAULT_FOR_CONTACTS

      Specifies the default icon for contacts.

    - #### APPOINTMENT_ITEM

          public static final IconIndex APPOINTMENT_ITEM

      Specifies the appointment item icon.

    - #### APPOINTMENT_RECUR

          public static final IconIndex APPOINTMENT_RECUR

      Specifies the recurring appointment icon.

    - #### APPOINTMENT_MEET

          public static final IconIndex APPOINTMENT_MEET

      Specifies the meeting icon.

    - #### APPOINTMENT_MEET_RECUR

          public static final IconIndex APPOINTMENT_MEET_RECUR

      Specifies the recurring meeting icon.

    - #### APPOINTMENT_MEET_NY

          public static final IconIndex APPOINTMENT_MEET_NY

      Specifies the icon for a tentative response to the meeting.

    - #### APPOINTMENT_MEET_YES

          public static final IconIndex APPOINTMENT_MEET_YES

      Specifies the meeting acceptance icon.

    - #### APPOINTMENT_MEET_NO

          public static final IconIndex APPOINTMENT_MEET_NO

      Specifies the meeting declined icon.

    - #### APPOINTMENT_MEET_MAYBE

          public static final IconIndex APPOINTMENT_MEET_MAYBE

      Specifies the icon for a maybe response to the meeting.

    - #### APPOINTMENT_MEET_CANCEL

          public static final IconIndex APPOINTMENT_MEET_CANCEL

      Specifies the meeting cancel icon.

    - #### APPOINTMENT_MEET_INFO

          public static final IconIndex APPOINTMENT_MEET_INFO

      Specifies the meeting information icon.

    - #### TASK_ITEM

          public static final IconIndex TASK_ITEM

      Specifies the task item icon.

    - #### TASK_RECUR

          public static final IconIndex TASK_RECUR

      Specifies the recurring task icon.

    - #### TASK_OWNED

          public static final IconIndex TASK_OWNED

      Specifies the task owned icon.

    - #### TASK_DELEGATED

          public static final IconIndex TASK_DELEGATED

      Specifies the task delegated icon.

    - #### NONE

          public static final IconIndex NONE

      None.

  - ### Method Detail

    - #### values

          public static IconIndex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IconIndex c : IconIndex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IconIndex valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null